CREATE TABLE IF NOT EXISTS room_message_edit_history (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    message UUID NOT NULL,
    seq BIGINT NOT NULL,
    editor UUID NOT NULL,
    old_content TEXT NOT NULL,
    new_content TEXT NOT NULL,
    edited_at TIMESTAMPTZ NOT NULL DEFAULT now()
);
